"""
Use constraint naming conventions

Revision ID: 20368da7e9b8
Revises: 7ff6f6c84c85
Create Date: 2018-05-21 09:14:48.301029

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = '20368da7e9b8'
down_revision = '7ff6f6c84c85'
branch_labels = None
depends_on = None


def upgrade():
    op.create_unique_constraint(op.f('uq_artifact_path'), 'artifact', ['path'])
    op.drop_constraint('artifact_path_key', 'artifact', type_='unique')
    op.create_unique_constraint(op.f('uq_task_name'), 'task', ['name'])
    op.drop_constraint('task_name_key', 'task', type_='unique')
    op.create_unique_constraint(op.f('uq_video_name'), 'video', ['name'])
    op.create_unique_constraint(op.f('uq_video_path'), 'video', ['path'])
    op.drop_constraint('video_name_key', 'video', type_='unique')
    op.drop_constraint('video_path_key', 'video', type_='unique')


def downgrade():
    op.create_unique_constraint('video_path_key', 'video', ['path'])
    op.create_unique_constraint('video_name_key', 'video', ['name'])
    op.drop_constraint(op.f('uq_video_path'), 'video', type_='unique')
    op.drop_constraint(op.f('uq_video_name'), 'video', type_='unique')
    op.create_unique_constraint('task_name_key', 'task', ['name'])
    op.drop_constraint(op.f('uq_task_name'), 'task', type_='unique')
    op.create_unique_constraint('artifact_path_key', 'artifact', ['path'])
    op.drop_constraint(op.f('uq_artifact_path'), 'artifact', type_='unique')
