"""
Add app table

Revision ID: 3c06fb7273cc
Revises: 3b6bd99d3420
Create Date: 2018-06-08 13:13:07.633899

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3c06fb7273cc'
down_revision = '3b6bd99d3420'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('app',
                    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('repo', sa.String(), nullable=False),
                    sa.Column('hash', sa.String(), nullable=False),
                    sa.Column('name', sa.String(), nullable=False),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_app')),
                    sa.UniqueConstraint('repo', 'hash', 'name', name=op.f('uq_app_repo')))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('app')
    # ### end Alembic commands ###
