"""
Add apps/users to task model

Revision ID: 3c474c090284
Revises: 5d890047c06d
Create Date: 2018-06-18 09:02:41.599808

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3c474c090284'
down_revision = '5d890047c06d'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('task', sa.Column('annotation_app_id', postgresql.UUID(as_uuid=True),
                                    nullable=False))
    op.add_column('task', sa.Column('user_id', postgresql.UUID(as_uuid=True), nullable=False))
    op.create_foreign_key(op.f('fk_task_annotation_app_id_annotation_app'), 'task',
                          'annotation_app', ['annotation_app_id'], ['id'])
    op.create_foreign_key(op.f('fk_task_user_id_user'), 'task', 'user', ['user_id'], ['id'])


def downgrade():
    op.drop_constraint(op.f('fk_task_user_id_user'), 'task', type_='foreignkey')
    op.drop_constraint(op.f('fk_task_annotation_app_id_annotation_app'), 'task', type_='foreignkey')
    op.drop_column('task', 'user_id')
    op.drop_column('task', 'annotation_app_id')
