"""
Rename repo to repo_url

Revision ID: 45a9930c0cd9
Revises: beec482822d3
Create Date: 2018-06-13 09:53:22.887589

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '45a9930c0cd9'
down_revision = 'beec482822d3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('annotation_app', sa.Column('repo_url', sa.String(), nullable=True))
    op.execute('UPDATE annotation_app SET repo_url = repo')
    op.alter_column('annotation_app', 'repo_url', nullable=False)
    op.create_unique_constraint(op.f('uq_annotation_app_repo_url'), 'annotation_app',
                                ['repo_url', 'hash', 'name', 'url'])
    op.drop_constraint('uq_annotation_app_repo', 'annotation_app', type_='unique')
    op.drop_column('annotation_app', 'repo')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('annotation_app',
                  sa.Column('repo', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.execute('UPDATE annotation_app SET repo = repo_url')
    op.alter_column('annotation_app', 'repo', nullable=False)
    op.create_unique_constraint('uq_annotation_app_repo', 'annotation_app',
                                ['repo', 'hash', 'name'])
    op.drop_constraint(op.f('uq_annotation_app_repo_url'), 'annotation_app', type_='unique')
    op.drop_column('annotation_app', 'repo_url')
    # ### end Alembic commands ###
