"""initial migration

Revision ID: 569efcbedfee
Revises:
Create Date: 2018-05-18 08:29:05.704319

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '569efcbedfee'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table('task_def',
                    sa.Column('id', postgresql.UUID(), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('name', sa.String(), nullable=False),
                    sa.Column('type_', sa.String(), nullable=False),
                    sa.PrimaryKeyConstraint('id'),
                    sa.UniqueConstraint('name'))
    op.create_table('video',
                    sa.Column('id', postgresql.UUID(), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('path', sa.String(), nullable=False),
                    sa.Column('name', sa.String(), nullable=False),
                    sa.Column('frame_rate', sa.Float(), nullable=False),
                    sa.Column('length', sa.Float(), nullable=False),
                    sa.Column('width', sa.Integer(), nullable=False),
                    sa.Column('height', sa.Integer(), nullable=False),
                    sa.Column('derived_video_id', postgresql.UUID(), nullable=True),
                    sa.ForeignKeyConstraint(['derived_video_id'], ['video.id'],
                                            name='video_derived_video_id_fkey'),
                    sa.PrimaryKeyConstraint('id'),
                    sa.UniqueConstraint('name'),
                    sa.UniqueConstraint('path'))
    op.create_table('task',
                    sa.Column('id', postgresql.UUID(), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('task_def_id', postgresql.UUID(), nullable=False),
                    sa.Column('video_id', postgresql.UUID(), nullable=False),
                    sa.Column('completed', sa.DateTime(), nullable=True),
                    sa.ForeignKeyConstraint(['task_def_id'], ['task_def.id'],
                                            name='task_task_def_id_fkey'),
                    sa.ForeignKeyConstraint(['video_id'], ['video.id'], name='task_video_id_fkey'),
                    sa.PrimaryKeyConstraint('id'))
    op.create_table('artifact',
                    sa.Column('id', postgresql.UUID(), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('task_id', postgresql.UUID(), nullable=False),
                    sa.Column('path', sa.String(), nullable=False),
                    sa.ForeignKeyConstraint(['task_id'], ['task.id'], name='artifact_task_id_fkey'),
                    sa.PrimaryKeyConstraint('id'),
                    sa.UniqueConstraint('path'))


def downgrade():
    op.drop_table('artifact')
    op.drop_table('task')
    op.drop_table('video')
    op.drop_table('task_def')
