"""
Add args column to tasks

Revision ID: 5d890047c06d
Revises: 30ff30b0ffa6
Create Date: 2018-06-14 08:21:01.114993

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '5d890047c06d'
down_revision = '30ff30b0ffa6'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('task', sa.Column('args', postgresql.JSONB(astext_type=sa.Text()),
                                    nullable=True))
    op.execute('UPDATE task SET args = \'{}\'')
    op.alter_column('task', 'args', nullable=False)


def downgrade():
    op.drop_column('task', 'args')
