"""
Rename Task -> Assignment

Revision ID: 68a0abcf3a8c
Revises: 569efcbedfee
Create Date: 2018-05-19 20:36:23.231923

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = '68a0abcf3a8c'
down_revision = '569efcbedfee'
branch_labels = None
depends_on = None


def upgrade():
    # Task model
    op.rename_table('task', 'assignment')
    op.drop_constraint('task_task_def_id_fkey', 'assignment')
    op.create_foreign_key('assignment_task_def_id_fkey',
                          'assignment', 'task_def', ['task_def_id'], ['id'])
    op.drop_constraint('task_video_id_fkey', 'assignment')
    op.create_foreign_key('assignment_video_id_fkey',
                          'assignment', 'video', ['video_id'], ['id'])

    # Artifact model
    op.alter_column('artifact', 'task_id', new_column_name='assignment_id')
    op.drop_constraint('artifact_task_id_fkey', 'artifact', type_='foreignkey')
    op.create_foreign_key('artifact_assignment_id_fkey',
                          'artifact', 'assignment', ['assignment_id'], ['id'])


def downgrade():
    # Task model
    op.rename_table('assignment', 'task')
    op.drop_constraint('assignment_task_def_id_fkey', 'task')
    op.create_foreign_key('task_task_def_id_fkey',
                          'task', 'task_def', ['task_def_id'], ['id'])
    op.drop_constraint('assignment_video_id_fkey', 'task')
    op.create_foreign_key('task_video_id_fkey',
                          'task', 'video', ['video_id'], ['id'])

    # Artifact model
    op.alter_column('artifact', 'assignment_id', new_column_name='task_id')
    op.drop_constraint('artifact_assignment_id_fkey', 'artifact', type_='foreignkey')
    op.create_foreign_key('artifact_task_id_fkey',
                          'artifact', 'task', ['task_id'], ['id'])
