"""Rename TaskDef to Task

Revision ID: 7ff6f6c84c85
Revises: 68a0abcf3a8c
Create Date: 2018-05-19 21:47:02.893582

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = '7ff6f6c84c85'
down_revision = '68a0abcf3a8c'
branch_labels = None
depends_on = None


def upgrade():
    op.rename_table('task_def', 'task')
    op.alter_column('assignment', 'task_def_id', new_column_name='task_id')
    op.drop_constraint('assignment_task_def_id_fkey', 'assignment', type_='foreignkey')
    op.create_foreign_key('assignment_task_id_fkey', 'assignment', 'task', ['task_id'], ['id'])
    op.execute('ALTER INDEX task_def_pkey RENAME TO task_pkey_')
    op.execute('ALTER INDEX task_def_name_key RENAME TO task_name_key')


def downgrade():
    op.rename_table('task', 'task_def')
    op.alter_column('assignment', 'task_id', new_column_name='task_def_id')
    op.drop_constraint('assignment_task_id_fkey', 'assignment', type_='foreignkey')
    op.create_foreign_key('assignment_task_def_id_fkey', 'assignment', 'task_def', ['task_def_id'],
                          ['id'])
    op.execute('ALTER INDEX task_pkey_ RENAME TO task_def_pkey')
    op.execute('ALTER INDEX task_name_key RENAME TO task_def_name_key')
