"""
rename_app_to_annotation_app

Revision ID: beec482822d3
Revises: 3c06fb7273cc
Create Date: 2018-06-09 11:45:58.612304

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = 'beec482822d3'
down_revision = 'c26fdd4faace'
branch_labels = None
depends_on = None


def upgrade():
    op.rename_table('app', 'annotation_app')
    op.add_column('annotation_app', sa.Column('url', sa.String(), nullable=True))
    op.execute('UPDATE annotation_app AS aa '
               'SET url = \'http://example.org/please/fix/me\' WHERE aa.url IS NULL')
    op.alter_column('annotation_app', 'url', nullable=False)
    op.create_unique_constraint(op.f('uq_annotation_app_repo'),
                                'annotation_app', ['repo', 'hash', 'name'])
    op.drop_constraint('uq_app_repo', 'annotation_app', type_='unique')


def downgrade():
    op.drop_column('annotation_app', 'url')
    op.create_unique_constraint('uq_app_repo', 'annotation_app', ['repo', 'hash', 'name'])
    op.drop_constraint(op.f('uq_annotation_app_repo'), 'annotation_app', type_='unique')
    op.rename_table('annotation_app', 'app')
