from flask import Blueprint, redirect, request, Response, url_for
from flask_login import logout_user

from stumpf.decorators import public_endpoint
from stumpf.models import db, Token

bp = Blueprint('index', __name__)


@bp.route('/logout')
@public_endpoint
def logout():
    token = request.cookies.get('stumpf-token')
    if token:
        Token.query.filter_by(token=token).delete()
        db.session.commit()
    logout_user()
    response = Response()
    response.set_cookie('stumpf-token', '')
    return response


@bp.route('/login')
@public_endpoint
def login():
    return redirect(url_for('google.login'))
