import json

import click


@click.group(name='artifact', short_help='The artifact resource.')
@click.pass_obj
def artifact(ctx):
    pass


@artifact.command(name='create', help='Create an artifact for an assignment')
@click.argument('assignment-id')
@click.argument('path')
@click.pass_obj
def create(ctx, assignment_id, path):
    r = ctx['session'].post('artifact', json={
        'assignment_id': assignment_id,
        'path': path
    })

    if not r.ok:
        click.echo(json.dumps(r.json()), err=True)
    else:
        click.echo(json.dumps(r.json(), indent=4))


@artifact.command(name='list', help='List artifacts for an assignment')
@click.argument('assignment-id')
@click.pass_obj
def list_(ctx, assignment_id):
    r = ctx['session'].get(f'artifact/{assignment_id}')

    if not r.ok:
        click.echo(json.dumps(r.json()), err=True)
    else:
        click.echo(json.dumps(r.json(), indent=4))
