import json

import click


@click.group(name='task', short_help='The task resource.')
@click.pass_obj
def task(ctx):
    pass


@task.command(name='create', help='Create a task')
@click.argument('name')
@click.argument('type')
@click.argument('video_id')
@click.pass_obj
def create(ctx, name, type, video_id):
    r = ctx['session'].post('task', json={
        'name': name,
        'type_': type,
        'video_id': video_id
    })

    if not r.ok:
        click.echo(json.dumps(r.json()), err=True)
    else:
        click.echo(json.dumps(r.json(), indent=4))


@task.command(name='list', help='List tasks')
@click.pass_obj
def list_(ctx):
    r = ctx['session'].get('task')

    if not r.ok:
        click.echo(json.dumps(r.json()), err=True)
    else:
        click.echo(json.dumps(r.json(), indent=4))
